#!/usr/bin/perl
use strict;
use warnings;
use MKDoc::Init::DBI;
use MKDoc::Site::Check::RelationShips;
use MKDoc::Util::Site_List;
$ENV{MKDOC_DIR} || die 'MKDOC_DIR is not defined!';


main();
sub main
{
    defined $ENV{SITE_DIR} and return do {
        MKDoc::Init::DBI->init();
        MKDoc::Site::Check::RelationShips->check();
    };
    
    foreach my $mkdoc_site (MKDoc::Util::Site_List::site_list())
    {
        print "CHECKING REDIRECTS: $mkdoc_site\n";
        $ENV{SITE_DIR} = $mkdoc_site;
        main();
    }
}


1;


__END__
